## opal 3.6.8~dfsg

=== debian/changelog ===
opal (3.6.8~dfsg-2) unstable; urgency=high

  * Fix RC bug "implicit conflict against libopal3.6.6-dbg" 
    - Urgency high - RC bug
    - Switch to common package: libopal-dbg (Closes: #585860)
    - Conflicts:/ Replaces: libopal3.6.8-dbg, libopal3.6.6-dbg
  * Update Standards-Version: 3.8.4
  * source/format -> 3.0 (quilt)

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jun 2010 00:25:54 +1000

opal (3.6.8~dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #572384, #583420)
    - NEW packages libopal3.6.8[-dbg] - soname bump

  [ Eugen Dedu ]
  * Remove Build-Conflict with its own runtime
  * add back celt building

  [ Mark Purcell ]
  * Fix "opal should build-depend on libsrtp-dev, and libopal-dev should
    depend on libsrtp0-dev"  Build Depends added (Closes: #575195)
  * Drop libptX.X.X-plugins - included in libptX.X.X library binary

 -- Mark Purcell <msp@debian.org>  Sat, 29 May 2010 10:42:18 +1000

opal (3.6.6~dfsg-6) unstable; urgency=low

  * Include *.mak in /usr/include/opal/
  * simpleopal Depends: back to libpt2.6.5-plugins
    - "simpleopal: Depends on unavailable libpt2.6.6-plugins" (Closes: #579765)

 -- Mark Purcell <msp@debian.org>  Sat, 01 May 2010 07:37:48 +1000

opal (3.6.6~dfsg-5) unstable; urgency=low

  * Constrain debian/watch to track 3.6 series (Lalande release)
  * Move to svn://svn.debian.org/pkg-voip/opal/branches/opal-3.6/
  * Switch to debhelper 7
  * Drop unused dpatch, cdbs
  * Do not exclude simpleopal from dh_strip 

 -- Mark Purcell <msp@debian.org>  Mon, 26 Apr 2010 11:55:39 +1000

opal (3.6.6~dfsg-4) unstable; urgency=low

  [ Eugen Dedu ]
  * Disable celt codec, since celt is changing its API and upstream
    source does not compile with the new 0.7.0 celt release (Closes: #556832)
  * Remove some conflicts with non-official snapshot packages.
  * Remove unuseful libavcodec-dev from Build-Depends (it does not bring
    any new encoder and hurts non-official packages).

  [ Mark Purcell ]
  * Build-Conflicts: libcelt-dev

 -- Mark Purcell <msp@debian.org>  Mon, 01 Feb 2010 17:30:21 +0100

opal (3.6.6~dfsg-3) unstable; urgency=low

  * Add Build-Conflicts: libx264-dev  (fails DFSG)
    - Fixes "uninstallable on i386, was built with libx264" (Closes: #550516)
  * Remove simpleopal debug file, will be resurrected if really needed
    (Closes: #550168)

 -- Mark Purcell <msp@debian.org>  Mon, 12 Oct 2009 07:51:01 +1100

opal (3.6.6~dfsg-2) unstable; urgency=low

  * Add missing Build-Depends: libcapi20-dev, libavcodec-dev

 -- Mark Purcell <msp@debian.org>  Sat, 10 Oct 2009 09:57:50 +1100

opal (3.6.6~dfsg-1) unstable; urgency=low

  [ Eugen Dedu ]
  * New upstream release
    - fix "SEGV in SIP_PDU::Write" (Closes: #538734)
  * Remove simpleopal.dpatch, integrated upstream.
  * simpleopal should depend on libpt plugins (Closes: #542220)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Oct 2009 18:12:29 +1000

opal (3.6.4~dfsg-1) unstable; urgency=low

  * New Upstream Release 
  * Fix "Rate controller skips too many frames", stolen from upstream.

 -- Mark Purcell <msp@debian.org>  Thu, 09 Jul 2009 08:12:53 +1000

opal (3.6.3~dfsg-2) unstable; urgency=low

  [ Eugen Dedu ]
  * Fix ptlib dependency, which lead to build failure (Closes: #533631)

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 17:43:25 +1000

opal (3.6.3~dfsg-1) unstable; urgency=low

  * New Upstream Release  
    - soname bump - NEW package libopal3.6.3
    - libpt transition
  * Switch get-orig-source target to sf.net

  [ Kilian Krause ]
  * Remove -N from wget args in get-orig-source target as -O is already
    used.

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 17:30:45 +1000

opal (3.6.1~dfsg-1) unstable; urgency=low

  [ Eugen Dedu ]
  * debian/rules: Honour DEB_BUILD_OPTIONS parameter for parallel builds.
  * Build-Depends on libcelt-dev.

  [ Mark Purcell ]
  * New upstream release
    * Fix "simpleopal example dies with segfault" (Closes: #510988)
  * Build-Depends: libpt-dev (>= 2.6.1)
  * NEW packages; libopal-dev, libopal2.6.1, libopal-doc, libopal2.6.1-dbg
  * debian/compat -> 7
  * Use dh_install; Add [libopal-dev,simpleopal,libopal3.6.1].install
  * Update to cdbs - correctly strips -dbg, parallel builds, et al
    - cleanup debian/rules cruft
  * Add Suggests: pkg-config
  * Upload to unstable (libpt transition)

 -- Mark Purcell <msp@debian.org>  Mon, 27 Apr 2009 19:45:35 +1000

opal (3.4.2~dfsg-2) experimental; urgency=low

  [ Eugen Dedu ]
  * Use Debian's speex library.

  [ Mark Purcell ]
  * Integrate historic debian/changelog from trunk
  * Update debian/watch to check sf.net
  * Fix hyphen-used-as-minus-sign debian/simpleopal.1

 -- Mark Purcell <msp@debian.org>  Sat, 15 Nov 2008 11:36:28 +1100

opal (3.4.2~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New release version 3.4.2, with update and simplification of debian files
  * Add a minimal man page for simpleopal.

 -- Mark Purcell <msp@debian.org>  Thu, 06 Nov 2008 21:44:30 +1100

opal (2.2.11~dfsg1-5) UNRELEASED; urgency=low

  * Add description for remove_ilbc.dpatch.
  * Remove config.log at clean time.
  * Remove duplicated word (the the) in the description of libopal-dev.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Wed,  8 Oct 2008 21:21:56 +0200

opal (3.3.0+svn20940.dfsg-1) voip; urgency=low

  [ Eugen Dedu ]
  * Build from svn snapshot REV 20940, refresh libname patch and rules
  * Rename package to -beta1
  * Build-Depends on libgsm1-dev in order to use Debian's library
  * Remove h263-ffmpeg video codec, as suggested by upstream
  * Remove, if any, plugins for non-free codecs (H263-1998, H264, MPEG4)

  [ Mark Purcell ]
  * Switch to svn export
  * svn REV checkout is controlled from debian/changelog version
  * Update Description: to explict state this svn snapshot

 -- Mark Purcell <msp@debian.org>  Thu, 11 Sep 2008 22:33:41 +1000

opal (3.3.0+svn20930.dfsg-1) experimental; urgency=low

  * First upload to debian.
  [ Mark Purcell ]


