## opal 3.10.1~dfsg

=== debian/changelog ===
opal (3.10.1~dfsg-1) experimental; urgency=low

  * New upstream release: 3.10.1 (Luythen)
  * Put myself back into Uploaders
  * Bump debhelper compat to 8
  * Fix debian/watch to allow double digit minor version
  * Bump PTLib depends to 2.10 version (Luythen) as well
  * Bump Debian source version to 3.0
  * Enable samples to be built with --enable-samples instead of explicitly
    building them in debian/rules
  * Add libspandsp-dev (>= 0.0.6~pre17) to Build-Deps to allow T.38 to use it
  * Add debian/clean for all files that need to be purged before rebuild
  * Add debian/patches/plugins_clean_target.patch: Most of the plugins don't
    have a clean target and thus don't allow rebuilds
  * Update debian/rules to cope with latest samples compilation changes
    upstream
  * Remove Changelog from docs as upstream doesn't ship it
  * Replace jquery.js with Debian's libjs-jquery version to make lintian happy
  * Add symbols file for libopal3.10.1 (but don't fail builds while we're in
    experimental)
  * Add pkg-kde-tools to take advantage of pkgkde-symbolshelper which is
    better suited for C++ libs - thanks to Modestas Vainius!
    (this makes c++ symbol files somewhat less painful. But still different
    g++ versions emit a bit different symbol sets so ftbfs'es happen)
  * Add libavcodec-dev to enable H.263
  * Register API documentation with doc-base
  * Patch spandsp_autoconf_cppflags backported from upstream trunk
  * Adjust DFSG-repack: Remove *.dll and *.exe from upstream source
  * Fix Vcs-Browser URL
  * Bump Standards-Version to 3.9.2

 -- Kilian Krause <kilian@debian.org>  Tue, 12 Jul 2011 10:28:19 +0200

opal (3.8.4~dfsg-1) experimental; urgency=low

  * New Upstream Release 
  * NEW package libopal3.8.4 - soname bump

 -- Mark Purcell <msp@debian.org>  Wed, 02 Mar 2011 06:08:40 +1100

opal (3.8.3~dfsg-1) experimental; urgency=low

  * New Upstream Release
  * NEW package libopal3.8.3 - soname bump

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 20:18:35 +1100

opal (3.8.2~dfsg-1) experimental; urgency=low

  * New Upstream Release
  * Refresh simpleopal.1

 -- Mark Purcell <msp@debian.org>  Sun, 25 Jul 2010 18:53:53 +1000

opal (3.8.1~dfsg-1) experimental; urgency=low

  * New upstream release
    - NEW packages libopal[3.8.1,-dbg] - soname bump
  * Merge from branches/opal3.6

 -- Mark Purcell <msp@debian.org>  Sun, 30 May 2010 17:29:57 +1000
