=== debian/control ===
--- 
+++ 
@@ -2,18 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
-Build-Depends: debhelper (>= 7.0.50~), doxygen, autotools-dev, pkg-config,
- libpt-dev (>= 2.6.7), libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
+Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
+Build-Depends: debhelper (>= 8), doxygen, autotools-dev, pkg-config,
+ libpt-dev (>= 2.10.1~), libavcodec-dev,
+ libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
+ libcelt-dev, pkg-kde-tools,
  libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
- libcapi20-dev, libcelt-dev
-Standards-Version: 3.8.4
+ libcapi20-dev, libspandsp-dev (>= 0.0.6~pre17)
+Build-Conflicts: libopal-dev, libx264-dev,
+ libopal3.8.3, libopal3.8.4, libopal3.6.8, libopal3.10.1
+Standards-Version: 3.9.2
 Homepage: http://www.opalvoip.org/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/branches/opal-3.6/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/opal/?op=log
+Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/opal/
 DM-Upload-Allowed: yes
 
-Package: libopal3.6.8
+Package: libopal3.10.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
 Description: Open Phone Abstraction Library - successor of OpenH323
@@ -31,11 +35,10 @@
 Section: libdevel
 Architecture: any
 Conflicts: openmpi-dev
-Depends: ${misc:Depends}, libopal3.6.8 (= ${binary:Version}), libpt-dev (>= 2.6.7), libspeexdsp-dev,
+Depends: ${misc:Depends}, libopal3.10.1 (= ${binary:Version}), libpt-dev (>= 2.10.1~), libspeexdsp-dev,
  libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
 Suggests: pkg-config
 Recommends: libopal-doc
-Replaces: libopal-snapshot-dev, libopal3.3-beta1-dev
 Description: OPAL library header files
  This package contains the headers and a static version of the OPAL library.
  .
@@ -47,7 +50,7 @@
 Package: simpleopal
 Section: comm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.6.8 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.1 (= ${binary:Version})
 Description: Simple example from the OPAL project
  This package contains a small H323 and SIP client given as an example. You
  can find its code on the doc package.
@@ -60,7 +63,7 @@
 Package: libopal-dbg
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libopal3.6.8 (= ${binary:Version})
+Depends: ${misc:Depends}, libopal3.10.1 (= ${binary:Version})
 Conflicts: libopal3.6.8-dbg, libopal3.6.6-dbg
 Replaces: libopal3.6.8-dbg, libopal3.6.6-dbg
 Architecture: any
